'''
COPYRIGHT LICENSE:  This utility is owned by IBM and is provided in source code form. 
You may copy and use (but not modify)  the utility  without payment to IBM for the 
purposes of helping you to migrate your data from an IBM Workload Deployer product to
another IBM product. Notwithstanding anything to the contrary,  IBM PROVIDES THE UTILITY
ON AN "AS IS" BASIS AND IBM DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING,
BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OR CONDITIONS OF MERCHANTABILITY, SATISFACTORY
QUALITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE, AND ANY WARRANTY OR CONDITION OF
NON-INFRINGEMENT. IBM SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL
OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR OPERATION OF THE UTLITY.  
IBM MAY PROVIDE LIMITED SUPPORTFOR THE UTLITY, BUT IBM HAS NO OBLIGATION TO PROVIDE
MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS OR MODIFICATIONS TO THE UTLITITY.
'''

import traceback
import sys
import datetime

def printExportException(artifactType, exception, number):
	print "[%d] [%s UTC] Error while exporting an artifact %s" % (number, datetime.datetime.utcnow(), artifactType)
	traceback.print_exc(file=sys.stdout)
	print "[%d] Exception : %s\n" % (number, str(exception))
	
def printImportException(artifactType, exception, number):
	print "[%d] [%s UTC] Error while importing an artifact %s" % (number, datetime.datetime.utcnow(), artifactType)
	traceback.print_exc(file=sys.stdout)
	print "[%d] Exception : %s\n" % (number, str(exception))
	
def printGeneralException(exception, message=""):
	print "[%s UTC] Exception occurred" % (datetime.datetime.utcnow())
	if message != "":
		print "Message: %s" % (message)
	traceback.print_exc(file=sys.stdout)	

class RestConnectionException(Exception):
	pass